<?php

function feltolt($mezo,$hova,$fajlnev,$ekezet=false){
	if($_FILES[$mezo]["error"]==0){
		
		if($ekezet===true)
			$fajlnev = ekezet($fajlnev);
		elseif($ekezet=="irasjel")
			$fajlnev = irasjel($fajlnev);
		
		$ide= $hova.$fajlnev;
		$kep = false;
		if( file_exists($ide) ){
			$x = explode('.', $fajlnev);
			$ext = end($x);
			
			$alap = substr($fajlnev,0,-(strlen($ext)+1));
			
			for ($i = 1; $i < 100; $i++){
				if ( !file_exists($hova.$alap.$i.".".$ext)){
					$fajlnev = $alap.$i.".".$ext;
					$ide= $hova.$fajlnev;
					break;
				}
			}
		}
		if (copy($_FILES[$mezo]["tmp_name"],$ide)){
			$kep = $ide;
		}else{
			$kep = false;
		}
		
		
		return $kep;
	}
	
	return false;
}

function ekezet($input){
	$mit = array("/á/", "/Á/", "/é/", "/É/", "/í/", "/Í/", "/ö/", "/Ö/", "/ő/", "/Ő/", "/ó/", "/Ó/", "/ú/", "/Ú/", "/ü/", "/Ü/", "/ű/", "/Ű/", "/ /");
	$mire = array("a", "A", "e", "E", "i", "I", "o", "O", "o", "O", "o", "O", "u", "U", "u", "U", "u", "U", "_");
	$output = preg_replace($mit, $mire, $input);
	return $output;
}

function irasjel($input){
	$mit = array("/ /", "/'/", '/"/', "/,/","/\//");
	$mire = array("_", "", "", "_", "_");
	$output = preg_replace($mit, $mire, $input);
	return $output;
}

function athelyez($honnan,$hova,$ekezet=false){
	if($ekezet)
		$hova = ekezet($hova);
	
	$fajl = false;
	
	if( file_exists($hova) ){
		$x = explode('.', $hova);
		$ext = end($x);
		
		$alap = substr($hova,0,-(strlen($ext)+1));
		
		for ($i = 1; $i < 100; $i++){
			if ( !file_exists($alap.$i.".".$ext)){
				$hova = $alap.$i.".".$ext;
				break;
			}
		}
	}
	
	if(copy($honnan,$hova)){
		$fajl = $hova;
		exec("rm ".$honnan);
	}else{
		$fajl = false;
	}
	
	
	return $fajl;
}

function urlazon($input){
	// szóköz csere + kisbetű
	$subject = str_replace(' ','-',strtolower($input));
	
	// magyar ékezetek cseréje
	$subject = ekezet($subject);
	
	$pattern = '/[-_a-z1-9]*/';
	preg_match_all($pattern, $subject, $matches, PREG_OFFSET_CAPTURE);
	$ret = "";
	foreach($matches[0] as $m)
		if($m[0])
			$ret .= $m[0];
	
	return $ret;
}

?>